# DismissHSCodeClassificationStatus

Dismiss the `Status` and `Details` values of the given ItemHSCodeClassificationStatus.

`PUT /api/v2/companies/{companyId}/items/{itemId}/hscode-classifications-status/$dismiss`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `text/plain`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/Items/DismissHSCodeClassificationStatus/

## Description

Dismiss the existing `Status` and `Details` of the ItemHSCodeClassificationStatus object at this URL with an updated object.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AvaTaxOnlyAccountAdmin, AvaTaxOnlyCompanyAdmin, BatchServiceAdmin, CompanyAdmin, CSPTester, SSTAdmin, TechnicalSupportAdmin.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company to which this item belongs. |
| `itemId` | integer | path | Yes | The ID of the item whose classification status you want to update. |
| `country` | string | query | Yes | The country of the HS code classification request status record that is to be updated. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `ItemHSCodeClassificationStatusModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `ItemHSCodeClassificationStatusModel`

Represent HS code classification for a given item.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | No | The unique ID of this HS code classification. Example: `00000000-0000-0000-0000-000000000000`. |
| `companyId` | integer | No | The unique ID of the company that owns this HS code classification. Example: `1`. |
| `itemId` | integer | No | A unique code representing the item Example: `1`. |
| `country` | string | No | The country for which the item is getting classified. Example: `US`. |
| `status` | string | **Yes** | The status of the HS code classification Example: `ClassificationRequestCreated`. |
| `details` | string | No | The description for the HS code classification being created/updated. Example: `Code details`. |
| `createdAt` | string | No | The date when this record was created. Example: `0001-01-01T00:00:00`. |
| `createdUserId` | integer | No | The ID of the user who created this record. Example: `1234`. |
| `modifiedAt` | string | No | The date/time when this record was last modified. Example: `0001-01-01T00:00:00`. |
| `modifiedUserId` | integer | No | The ID of the user who last modified this record. Example: `5678`. |
| `completedAt` | string | No | The date/time when the request for this record was completed. Example: `0001-01-01T00:00:00`. |

## Example Request

```bash
curl -X PUT "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/hscode-classifications-status/$dismiss" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```